#
# Licensed to the Apache Software Foundation (ASF) under one or more
# contributor license agreements.  See the NOTICE file distributed with
# this work for additional information regarding copyright ownership.
# The ASF licenses this file to You under the Apache License, Version 2.0
# (the "License"); you may not use this file except in compliance with
# the License.  You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

%global make_common_opts \\\
	PACKAGE_NAME=%{name} \\\
	RPM_VERSION=%{version} \\\
	RPM_RELEASE=%{release} \\\
	PREFIX=%{_prefix} \\\
	SYSCONF_DIR=%{_sysconfdir} \\\
	DATAROOT_DIR=%{_datadir} \\\
	MAN_DIR=%{_mandir} \\\
	PYFLAKES=true \\\
	PEP8=true \\\
	%{?null}

Summary:	RHEV-M setup plugins
Name:		rhevm-setup-plugins
Version:	3.5.4
Release:	1%{?release_suffix}%{?dist}
License:	ASL 2.0
URL:		http://www.redhat.com/virtualization/rhev/server/
Source:		%{name}-3.5.4-1.tar.gz
Group:		Virtualization/Management

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch

Requires:	rhevm-setup-plugin-ovirt-engine >= 3.5.1

%description
Setup plugins for RHEV-M

%prep
%setup -q -n %{name}-3.5.4

%build
make %{?_smp_mflags} %{make_common_opts}

%install
rm -rf "%{buildroot}"
make %{?_smp_mflags} %{make_common_opts} install DESTDIR="%{buildroot}"

%files
%{_datadir}/ovirt-engine/setup/ovirt_engine_setup/rhevm*
%{_datadir}/ovirt-engine/setup/plugins/*/rhevm-setup-plugins/

%changelog
* Thu Jul  9 2015 Sandro Bonazzola <sbonazzo@redhat.com> - 3.5.4-1
- Resolves: BZ#1240294
- Resolves: BZ#1240774

* Wed Feb 18 2015 Sandro Bonazzola <sbonazzo@redhat.com> - 3.5.1-2
- Resolves: BZ#1175289

* Mon Feb 16 2015 Sandro Bonazzola <sbonazzo@redhat.com> - 3.5.1-1
- Resolves: BZ#1181695

* Mon Dec  1 2014 Sandro Bonazzola <sbonazzo@redhat.com> - 3.5.0-3
- Resolves: BZ#1164753

* Tue Nov 25 2014 Sandro Bonazzola <sbonazzo@redhat.com> - 3.5.0-2
- Resolves: BZ#1146636

* Tue Oct 21 2014 Sandro Bonazzola <sbonazzo@redhat.com> - 3.5.0-1
- Resolves: BZ#1098191
- Resolves: BZ#1123234

* Tue Oct 14 2014 Sandro Bonazzola <sbonazzo@redhat.com> - 3.5.0-0.5.beta
- Resolves: BZ#1098191
- Resolves: BZ#1123234

* Fri Aug 22 2014 Sandro Bonazzola <sbonazzo@redhat.com> - 3.5.0-0.3.master
- Resolves: BZ#1111125
- Resolves: BZ#1112259
- Resolves: BZ#1124322
- Resolves: BZ#1129627

* Fri Jul 25 2014 Sandro Bonazzola <sbonazzo@redhat.com> - 3.5.0-0.1.ovirtbeta2
- Resolves: BZ#1101954

